GET

List OATH Tokens

Use this API to return a list of the OATH tokens registered to your account.

This endpoint returns the full set of resource fields for each token, with seed always masked as *****.

Resource URL

https://<subdomain>.onelogin.com/api/2/oath_tokens

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can only be called using the Manage All scope — there is no narrower scope (such as Manage Users) that grants access to this endpoint.

Query Parameters

This endpoint does not support filtering. Only standard pagination parameters are supported: limit (defaults to 1000, maximum 1000) and page (defaults to 1). Results are ordered by id. See Pagination for detail on how this works.

Sample Responses

[
  {
      "id": 918273,
      "identifier": "OATH00112233",
      "time_interval": 30,
      "otp_digits": 6,
      "seed": "*****"
  },
  {
      "id": 918274,
      "identifier": "OATH00112234",
      "time_interval": 30,
      "otp_digits": 6,
      "seed": "*****"
  }
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Postman Collection

Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

List OATH Tokens

curl 'https://<subdomain>.onelogin.com/api/2/oath_tokens' \
-X GET \
-H "Authorization: bearer <access_token>"